/* -*- mode: c++; c-basic-offset: 3; -*- */
#ifndef HTML_LINEBREAK_HH
#define HTML_LINEBREAK_HH

#include "html/object.hh"

namespace html {
   /** insert a line break in the document;
    */ 
   class linebreak : public object {
   public:
      /** Line break constructor
       *  \brief Constructor
       */
      linebreak(void) = default;
      
      /** Line break destructor
       *  \brief Denstructor
       */
      virtual ~linebreak(void) = default;

      /** Clone a line break (just construct another)
       *  \brief Clone an object
       */
      linebreak* clone(void) const;

      /** write the line-break tag.
       *  \brief write it to the document
       */
      void write(writer& w) const;
   };
}


#endif // !defined(HTML_LINEBREAK_HH)
